Bug 565426 - (CVE-2010-0639) CVE-2010-0639 squid: HTCP packet temporary DoS (SQUID-2010:2)
CVE-2010-0639 squid: HTCP packet temporary DoS (SQUID-2010:2)
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,source=internet,reported=2...
: Security
Depends On: 565430
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-15 05:11 EST by Tomas Hoger
Modified: 2010-03-29 04:57 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-29 04:57:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2010-02-15 05:11:21 EST
Squid upstream has released a security advisory for Squid, covering the DoS issue in the HTCP protocol handler:

  http://www.squid-cache.org/Advisories/SQUID-2010_2.txt

  Due to incorrect processing Squid is vulnerable to a denial of
  service attack when receiving specially crafted HTCP packets.

Specially-crafted HTCP packet may cause squid child process to crash (NULL pointer dereference), resulting in a temporary DoS as new child process is started by the squid parent process.

References:
http://www.squid-cache.org/Advisories/SQUID-2010_2.txt
http://bugs.squid-cache.org/show_bug.cgi?id=2858

Upstream patches (2.x and 3.x):
http://www.squid-cache.org/Versions/v2/2.7/changesets/12600.patch
http://www.squid-cache.org/Versions/v3/3.0/changesets/3.0-ADV-2010_2.patch
Comment 1 Tomas Hoger 2010-02-15 05:20:28 EST
This issue did not affect squid packages as shipped in Red Hat Enterprise Linux 3, 4 and 5, as they do not have support for HTCP enabled (it is disabled by default in 2.5 and 2.6 versions and is not enabled explicitly in RHEL builds).  Newer squid versions enable HTCP by default.
Comment 3 Fedora Update System 2010-02-18 03:29:30 EST
squid-3.1.0.16-6.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/squid-3.1.0.16-6.fc12
Comment 4 Fedora Update System 2010-02-18 18:25:26 EST
squid-3.1.0.16-7.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/squid-3.1.0.16-7.fc13
Comment 5 Fedora Update System 2010-02-26 06:50:12 EST
squid-3.1.0.16-7.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2010-02-26 22:42:04 EST
squid-3.1.0.16-6.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2010-03-12 21:26:15 EST
squid-3.0.STABLE24-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.